Description

Hi David,

Tingjun reports that he cannot build protoduneana due to missing cmake instructions in dunetpc:

I am quite confused:
https://cdcvs.fnal.gov/redmine/projects/dunetpc/repository/revisions/develop/show/dune/Dunelnterfa
ce

It seems the directory Service is not included in the CMakeLists.txt. Also there is no CMakelists.
txt in the Service directory so I am not surprised the header files are not installed.

I can see it's not a problem if you build dunetpc and protoduneana together, but that defeats the
purpose of creating protoduneana.

Thanks,
Tingjun

History

#1 - 02/05/2021 10:15 AM - David Adams

| am surprised this problem is only just now being discovered. Any comment, Tom?

| will add the required instructions to dunetpc.

#2 - 02/05/2021 10:31 AM - David Adams

| have committed the above changes but | suppose we cannot test without making a release. | suppose Etienne is about to ask for v09_16_00.
Should we make a test release now and verify the problem is resolved or first make v09_16_00 and deal with any problems after that?

#3 - 02/05/2021 10:41 AM - Thomas Junk

Comment from Tom: | last built protoduneana v09_12_00 standalone for purposes of making the tutorial for the collaboration meeting, and did not
run into the problem then. | am unaware of Cl tests for protoduneana -- perhaps we need some?

#4 - 02/05/2021 10:56 AM - Thomas Junk

It should be possible to test this build separately without distributing the release. Make a test release of only dunetpc. Make another test release of
protoduneana by itself. Source the localProducts*/setup for the protoduneana test release. Add the localProducts directory path for the dunetpc test
release to the head of the PRODUCTS environment variable. Setting up dunetpc, or possibly even mrbslp at this point should pick up your dunetpc
test release out of your directory.

Another alternative: tag dunetpc v09_16_00_rc1 and distribute it. Sounds like more work go go this route and adds to clutter in CVMFS.

It sounds like an easy problem and the fix is likely to work. It is possible to "untag" a release and try again.

#5 - 02/05/2021 10:59 AM - David Adams

| suppose just trying to build protoduneana on jenkins would catch this problem. Of course, there is no harm to also add Cl tests.

#6 - 02/05/2021 11:31 AM - David Adams

| have made tag v09_15_00_01 with the above change and am building now in jenkins.

#7 - 02/05/2021 11:32 AM - David Adams

- Subject changed from protoduneana does not build standalone to protoduneana does not build standalone; dunetpc v09_15_00_01
#8 - 02/05/2021 11:46 AM - David Adams

Three of the the four release builds have failed at this point:

20%] Built target dune_EventGenerator_CORSIKAprotodunedp_DataGen31ll_module
20%] Built target dune_EventGenerator_CORSIKAprotodunedp_Gen311l_module

20%] Linking CXX shared library ../../lib/libPDSPDataDrivenBeam_module.so
20%] Linking CXX shared library ../../lib/libProtoDUNEBeam_module.so

20%] Built target PDSPDataDrivenBeam_module

20%] Built target ProtoDUNEBeam_module

21%] Linking CXX shared library ../../lib/libProtoDUNETriggeredBeam_module.so
21%] Built target ProtoDUNETriggeredBeam_module

make: *** [all] Error 2

1249.56user 392.92system 1:32.19%elapsed 1781%CPU (Oavgtext+0avgdata 612296maxresident)k
46748768inputs+1315648cutputs (682301lmajor+39552439minor)pagefaults Oswaps

The e19-prof build seems to have gotten past that point. This is the one | test with.
Any idea what is going on? Do the Cl builds include any of the other platforms (c7-prof, ¢7-dbg, e19-dbg)? Do we see problems there?

I will try test build with one of those and see if | can reproduce the problem.

#9 - 02/05/2021 12:02 PM - David Adams

Here are the errors causing the dunetpc build to fail:

/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
62:10: error: private field 'm_FEMBCo_Frqg_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_FEMBCo_Frqg_this_event_vec[m_n_apal [m_n_femb] [m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
63:10: error: private field 'm_FEMBCo_Amp_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_FEMBCo_Amp_this_event_vec[m_n_apal [m_n_femb] [m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
64:10: error: private field 'm_FEMBCo_Phs_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_FEMBCo_Phs_this_event_vec|[m_n_apal] [m_n_femb] [m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
74:10: error: private field 'm_HV1_Frqg_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_HV1_Frqg this_event_vec[m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
75:10: error: private field 'm_HV1_Amp_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_HV1_Amp_this_event_vec[m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
76:10: error: private field 'm_HV1_Phs_this_event_vec' is not used [-Werror,-Wunused-private-field]
double m_HV1_Phs_this_event_vec[m_n_max_coh_noise];
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
79:10: error: private field 'previous_x' is not used [-Werror,-Wunused-private-field]
double previous_x = 1;
/nashome/d/dladams/proc/build/dev03/workdir/srcs/dunetpc/dune/DetSim/Service/ShapedCohProtoDUNENoiseService.h:
80:10: error: private field 'previous_sine' is not used [-Werror,-Wunused-private-field]
double previous_sine = 1;

~

8 errors generated.
| will fix these if there is no objection.

#10 - 02/05/2021 12:22 PM - David Adams

| have commented out the offending member variables of ShapedCohProtoDUNENoiseService in my local copy of dunetpc and am rebuilding. | will
commit after everything builds and tests.

| add Pierre to the watchers list as his name is on the header file | modified.
#11 - 02/05/2021 12:33 PM - Pierre Lasorak

Thanks David.
I'm not sure | understand the problem, these variables do get used by the _service.cc file, but let me know if | need to do something.
#12 - 02/05/2021 12:41 PM - David Adams

| copied the e19-prof build of dunetpc v09_15_00_01 to fermiapp. | had problems building against that and so | also installed in on cvmfs.
| can build protoduneana against this release. | have updated protoduneana to be and use version v09_15_00_01.

Tinngjun, you should be able to use this.

#13 - 02/05/2021 12:42 PM - David Adams

Pierre:

| commented out the lines. If you do not plan to use these, | would prefer to delete them. Is that OK?

#14 - 02/05/2021 12:47 PM - Pierre Lasorak

Ah! Sorry yes, totally fine to remove these, this is from previous tests. Thanks.

#15 - 02/05/2021 01:04 PM - Tingjun Yang
v09_ 15 00 01 works. Thanks David.

#16 - 02/05/2021 01:10 PM - David Adams

- Status changed from New to Closed

| have now committed the changes to dunetpc. It presumably builds for all platforms. And with the earlier change, protoduneana builds against
dunetpc v09_15_00_01. The latter has the unused members but they do not seem to trigger an error for e19-proc.

03/24/2021 3/3


http://www.tcpdf.org

